/* AP 15-sep-12	alloc.c						*/
/*		einfache Heap-Verwaltung (K&R 5.4)		*/

# define ALLOCSIZE 10000	/* Groesse unseres Speichers 	*/

static char allocbuf[ALLOCSIZE];	/* Speicherplatz	*/
static char *allocp = allocbuf;		/* naechste freie Zelle	*/

/* gibt Zeiger auf Feld mit Groesse n (char) zurueck		*/
char * alloc( int n ) {		
	if (allocbuf + ALLOCSIZE - allocp >= n) {	/* passt*/
		allocp += n;
		return allocp -	n;	/* alter Wert von allocp*/
	} else				/* nicht genug Platz	*/
		return 0;
}

/* Speicher, auf den p zeigt freigeben				*/
void afree( char * p ) {
	if (p >= allocbuf && p < allocbuf + ALLOCSIZE)
		allocp = p;
}
