/* AP 14-sep-12	getint.c				*/
/*		lese eine Integer-Zahl		*/


# include <stdio.h>	 /* for EOF */

int getch(void);
void ungetch(int);

int getint( int * pn ) {
	int c, sign;

	/* Leerzeichen ueberlesen */
	while (isspace(c = getch())) ;

	if (!isdigit(c) && c != EOF && c != '+' && c != '-') {
		/* keine Zahl */
		ungetch( c );
		* pn = 0;
		return 0;
	}
	sign = (c == '-') ? -1 : 1;

	if ( c == '+' || c == '-') 
		c = getch();
	for (*pn = 0; isdigit(c); c = getch())
		*pn = 10 * *pn + (c - '0');
	*pn *= sign;
	if (c != EOF)
		ungetch( c );
	return c;
}
