/* AP 15-sep-12	lensort.c				*/
/*		Sortiern von Zeilen nach ihrer Laenge	*/

# include <stdio.h>
# include <string.h>

int swap_if_shorter( char * s[], int i, int j ) {
	char * t;
	if (strlen(s[i]) < strlen(s[j])) {
		t = s[i];
		s[i] = s[j];
		s[j] = t;
		return 1;
	}
	return 0;
}

int main( int argc, char *argv[] ){
	char *prog = argv[0];
	int i, j;

	if (argc < 3) {
		printf("usage: %s <string> <string>+\n", prog);
		return 1;
	}
	/* Sortieren durch paarweisen Vergleich */
        for ( i = 0; i < argc-1; i++)
                for (j = i+1; j < argc; j++)
                        swap_if_shorter( argv, i, j);

	printf("Der Laenge nach absteigend sortiert:\n");
	for ( i = 1; i < argc; i++ )
		printf("%s\n", argv[i]);
}
